Bug 121783 - Installation of rh-postgresql-pl RPM should add plpgsql as procedural language
Installation of rh-postgresql-pl RPM should add plpgsql as procedural language
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rh-postgresql (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-27 16:08 EDT by Michael J. Carter
Modified: 2013-07-02 23:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-28 10:12:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J. Carter 2004-04-27 16:08:09 EDT
Description of problem:

Installation of rh-postgresql-pl RPM does not add plpsql as a
procedural language. Is it possible to have a post-install script run
(as user 'postgres'):

/usr/bin/createlang plpgql template1

Otherwise, this must be done by hand before stored procedures will
work.                                  

Version-Release number of selected component (if applicable):

rh-postgresql-pl-7.3.4-9

How reproducible:

Every time.


Steps to Reproduce:
1. rpm -ivh rh-postgresql-pl-7.3.4-9.i386.rpm
2. /bin/su - postgres
3. createlang --list template1
  
Actual results:

Procedural languages
 Name | Trusted?
------+----------
(0 rows)


Expected results:

Procedural languages
  Name   | Trusted?
---------+----------
 plpgsql | t
(1 row)

Additional info:
Comment 1 Tom Lane 2004-04-28 10:12:14 EDT
This is a policy decision made by the upstream PostgreSQL community,
which I have no desire to override in Red Hat's packaging of Postgres.
I'm not sure how real the original security concerns still are, but I
don't think it's productive to cause RH's version to act fundamentally
differently from the upstream.

If you want to lobby to have plpgsql be treated as built-in then the
appropriate place for discussing it is the Postgres mailing lists.

Note You need to log in before you can comment on or make changes to this bug.